gmp_strval
gmp_testbit
GMP Functions
PHP Manual

# gmp_sub

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_sub — Subtract numbers

### Description

GMP gmp_sub ( GMP `$a` , GMP `$b` )

Subtracts `b` from `a` and returns the result.

### Parameters

`a`

  The number being subtracted from.

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

`b`

  The number subtracted from `a`.

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

### Return Values

A GMP number resource in PHP 5.5 and earlier, or a GMP object in PHP 5.6 and later.

### Examples

Example #1 gmp_sub() example

`<?php
$sub = gmp_sub("281474976710656", "4294967296"); // 2^48 - 2^32
echo gmp_strval($sub) . "\n";
?>`

The above example will output:

    281470681743360

gmp_strval
gmp_testbit
GMP Functions
PHP Manual